import java.io.IOException;
import java.io.Serializable;
import java.net.Socket;
import java.rmi.server.RMIClientSocketFactory;

import javax.net.SocketFactory;
import javax.net.ssl.SSLSocketFactory;
import javax.rmi.ssl.SslRMIClientSocketFactory;


public class RMISSLClientSocketFactory implements RMIClientSocketFactory, Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public Socket createSocket(String host, int port) throws IOException {
		SslRMIClientSocketFactory factory = new SslRMIClientSocketFactory();
		Socket socket = factory.createSocket(host,port);
		return socket;
	}
}
